Thread Closed

#41
I'm having this problem with Tb 3.0.4. I tried 1.0.9 and the 1.1.0 beta, both complain that it "cannot find binary component" on start.
I compiled Thunderbird myself (Gentoo Linux 64 bit). The error console contains this:

Failed to load XPCOM component: /home/haarp/.thunderbird/wygg85dv.default/extensions/{de1b245c-de57-11da-ba2d-0050c2490048}/library/Linux-64/MinimizeToTrayPlus.so
Error: uncaught exception: 2147746065
ReportQuote
#42
Are you using Gnome, or KDE? I have not really tested it in KDE, and have had the odd report of it not working there. Could that be it?

Have I helped you? Do you like my add-ons?
Would you consider donating to show your appreciation for my efforts?

/images/paypal.png
ReportQuote
#43
Actually, I'm using Xfce. And I have a feeling that this is the problem :/
ReportQuote
#44
Yes you might not have all the libraries that I have compiled against installed, or maybe the wrong versions.

Sorry about that, support of more desktops environments is something that I would like to do eventually. But there are more important things to work on for now.

Have I helped you? Do you like my add-ons?
Would you consider donating to show your appreciation for my efforts?

/images/paypal.png
ReportQuote
#45
Can you tell me which libs you depend on? Xfce is based on GTK on shares a lot of libs with Gnome. This might not be entirely impossible.
ReportQuote
#46
I don't really know, whatever my make file happens to decide they are. I would have thought that they were the same as for Firefox, so you should have them installed. I just can't think of any other reason for it to do this.

Have I helped you? Do you like my add-ons?
Would you consider donating to show your appreciation for my efforts?

/images/paypal.png
ReportQuote
#47
hi there
I'm using TB 3.0.4 under ubuntu 9.0.4 32 bit with gnome desktop environment. I tried both mttp 1.0.8 and 1.0.9 and beta 1.1.0 also, but with the same error:

Failed to load XPCOM component: /home/username/.thunderbird/xgbjmdfu.default/extensions/{de1b245c-de57-11da-ba2d-0050c2490048}/library/Linux-32/MinimizeToTrayPlus.so

Error: uncaught exception: 2147746065

The same add-on work fine under FF 3.6.2

Thanks in advance for your help

-doc
ReportQuote
#48
Can you both check if you have the same effect if you download Thunderbird from Mozilla?

Have I helped you? Do you like my add-ons?
Would you consider donating to show your appreciation for my efforts?

/images/paypal.png
ReportQuote
#49
Hi,
default TB 2.0.* was purged trough apt-get before the new installation. My installation of TB 3.0.4 is compiled directly from the tar.gz file present in the download section of the mozilla site.
No errors or warning was encountered during compiling and installation steps.

-doc
ReportQuote
#50
The fact you compiled it yourself might be part of the problem. Do the binaries on the Mozilla web site work with the extension?

Have I helped you? Do you like my add-ons?
Would you consider donating to show your appreciation for my efforts?

/images/paypal.png
ReportQuote
#51
I known that mozilla don't releases directly binary code for linux distributions. I'm using /pub/thunderbird/releases/3.0.4/linux-i686/en-US/thunderbird-3.0.4.tar.bz2
The following extensions are installed and fully functionals: Lightning 1.0b1, Enigmail 1.0.1

There is an alternative for this, using ubuntuzilla custom installer, so if you think that this could help, I will proceed to create a virtualbox machine: ubuntu 9.0.4 and TB 3.0.4 by ubuntuzilla.

-doc
ReportQuote
#52
Try Version 1.0.5
I had the same errors but now it works
ReportQuote

Thread Closed